# Class CommandNotMappedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.commands.common.CommandException
org.eclipse.ui.actions.CommandNotMappedException

All Implemented Interfaces:
  `Serializable`

public class CommandNotMappedException extends CommandException
Indicates that an action has no command mapping. The declaration can be updated to include a definitionId.

Since:
  3.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CommandNotMappedException(String message)`
`CommandNotMappedException(String message, Throwable cause)`
Creates a new instance of this class with the specified detail message and cause.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CommandNotMappedException

public CommandNotMappedException(String message)

Parameters:
  `message` - the detail message; may be `null`.

### CommandNotMappedException

public CommandNotMappedException(String message, Throwable cause)
Creates a new instance of this class with the specified detail message and cause.

Parameters:
  `message` - the detail message; may be `null`
  `cause` - the cause; may be `null`.